get

/v4/analytics/states-meta/{storingId}/block-range

Get indexed block / timestamp range for a storing_id

Return the min/max indexed block_number and block_timestamp for a storing_id. All four values are 0 when the storing_id has no indexed state yet.

Path parameters

storingIdstring
required

Responses

200
Response for status 200
Schema
object
storingIdstring
required
minBlockNumbernumber
required
Lowest indexed block number (0 = no data)
minBlockTimestampnumber
required
Lowest indexed block timestamp in seconds (0 = no data)
maxBlockNumbernumber
required
Highest indexed block number (0 = no data)
maxBlockTimestampnumber
required
Highest indexed block timestamp in seconds (0 = no data)
Example
{
  "storingId": "string",
  "minBlockNumber": 0,
  "minBlockTimestamp": 0,
  "maxBlockNumber": 0,
  "maxBlockTimestamp": 0
}
get
https://analytics.merkl.xyz/v4/analytics/states-meta/{storingId}/block-range
Merkl Analytics API
curl -X GET "https://analytics.merkl.xyz/v4/analytics/states-meta/{storingId}/block-range"
Fill the required path parameter storingId to send.